Subject: Offline Message from Jr vidaurri: Hi I have a EB 8 the power button will not
From: Zendesk Chat <[email-masked]>
To: [email-masked], [email-masked]
Date: Mon, 16 May 2022 22:36:40 -0000

From: Jr vidaurri <[email-masked]>
Phone: 6026866308
Location: Phoenix, United States
URL: https://swagtron.com/?gclid=CjwKCAjw7IeUBhBbEiwADhiEMQmhR2Oh3ieLypg_n3wdElHAqQHtEoMQP6b0q6AZc41uy_u3kEqAQhoCV3EQAvD_BwE
Department: SwagTron

Hi I have a EB 8  the power button will not power up the display. The battery seems to be charged up and the key is in the old position. Do you have a troubleshooting procedure and information on parts 

I also have a EB 7  press the power button on the display but will not power up check voltage on the battery found it to be 3.6 DC 
Your assistance will be appreciated 

----
Zopim
https://www.zopim.com